# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

#include "ypp.h"
#include "y.tab.h"
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		;
break;
case 2:
	skipcmnts();
break;
case 3:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext);
	return(STRING);
}
break;
case 4:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext);
	return(KLIST);
}
break;
case 5:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext);
	return(C_IDENTIFIER);
}
break;
case 6:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext);
	return(IDENTIFIER);
}
break;
case 7:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext);
	return(L_IDENTIFIER);
}
break;
case 8:
	{return(NUMBER);}
break;
case 9:
	{return(LEFT);}
break;
case 10:
{return(RIGHT);}
break;
case 11:
{return(NONASSOC);}
break;
case 12:
{return(TOKEN);}
break;
case 13:
	{return(PREC);}
break;
case 14:
	{return(TYPE);}
break;
case 15:
{return(START);}
break;
case 16:
{return(UNION);}
break;
case 17:
	{return(MARK);}
break;
case 18:
	{return(LCURL);}
break;
case 19:
		{return('<');}
break;
case 20:
		{return('>');}
break;
case 21:
		{return(',');}
break;
case 22:
		{return('|');}
break;
case 23:
		{return('{');}
break;
case 24:
		{return('}');}
break;
case 25:
		{return(';');}
break;
case 26:
		{return('[');}
break;
case 27:
		{return(']');}
break;
case 28:
{
	yylval.str = (char*) U_malloc (strlen (yytext) + 1);
	strcpy (yylval.str, yytext+2);
	return (EASTRING);
}
break;
case 29:
{
	return (EDSTRING);
}
break;
case 30:
{  /* forces that node to be a real node in the tree */
	return (ENSTRING);
}
break;
case 31:
return (EOSTRING);
break;
case 32:
{  /* no rule is produced for this action, but *_auto.h files produced */
	return (ENPSTRING);
}
break;
case 33:
		;
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
copy_file()
{
	int c;

	while ((c = input()) != 0)
		putchar (c);
}

char *get_act()
{
	int i, c, bcount = 0;
/*	char buf[2048], *act;*/
	char buf[4096], *act;

	i = 0;
	while ((c = input()) != '}' || bcount)
	{
		if (i > 4096)
			fatal ("get_act: increase buffer size");
		buf[i++] = c;
		if (c == '{')
			bcount++;
		else if (c == '}')
			bcount--;
	}
	unput(c);

	buf[i] = '\0';
	act = (char*) U_malloc (i + 1);
	strcpy (act, buf);

	return act;
}

p_LCURL()
{
	int c,d, bcount = 0;

	printf ("\n%%{");
	while ((c = input()) != '}' || bcount)
	{
		if (c == '{')
			bcount++;
		else if (c == '}')
			bcount--;

		putchar (c);
	}
	printf ("}\n\n");
}

p_UNION()
{
	int c,d, bcount = (-1);

	while ((c = input()) != '}' || bcount)
	{
		if (c == '{')
			bcount++;
		else if (c == '}')
			bcount--;

		putchar (c);
	}
}

skipcmnts()
{
	int c;

	for (;;)
	{
		while (input() != '*')
			;
		if ((c = input()) != '/')
		{
			unput(c);
		}
		else
			return;
	}
}
int yyvstop[] = {
0,

33,
0,

1,
0,

33,
0,

33,
0,

33,
0,

21,
33,
0,

33,
0,

6,
8,
33,
0,

25,
33,
0,

19,
33,
0,

20,
33,
0,

6,
33,
0,

6,
33,
0,

6,
33,
0,

6,
33,
0,

6,
33,
0,

26,
33,
0,

27,
33,
0,

23,
33,
0,

22,
33,
0,

24,
33,
0,

5,
6,
8,
33,
0,

5,
6,
33,
0,

5,
6,
33,
0,

5,
6,
33,
0,

5,
6,
33,
0,

5,
6,
33,
0,

17,
0,

18,
0,

2,
0,

6,
8,
0,

6,
0,

29,
0,

6,
0,

30,
0,

31,
0,

5,
6,
8,
0,

5,
6,
0,

5,
6,
0,

3,
0,

7,
0,

-28,
0,

32,
0,

28,
0,

9,
0,

13,
0,

14,
0,

10,
0,

15,
0,

12,
0,

16,
0,

4,
0,

11,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	1,4,	
0,0,	30,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	40,0,	0,0,	1,5,	
0,0,	30,53,	1,6,	0,0,	
1,7,	0,0,	0,0,	9,41,	
0,0,	1,8,	0,0,	0,0,	
1,9,	1,10,	15,44,	15,44,	
15,44,	15,44,	15,44,	15,44,	
15,44,	15,44,	15,44,	15,44,	
1,11,	1,12,	40,62,	1,13,	
0,0,	0,0,	1,14,	1,15,	
1,15,	1,16,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,17,	
1,18,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,19,	0,0,	1,20,	28,52,	
1,15,	0,0,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,15,	1,15,	1,15,	1,15,	
1,21,	1,22,	1,23,	2,6,	
27,46,	29,49,	32,54,	33,55,	
34,56,	35,57,	2,8,	36,58,	
37,59,	2,9,	2,24,	28,48,	
38,61,	42,63,	52,65,	54,66,	
55,67,	56,68,	37,60,	57,69,	
58,70,	2,11,	2,12,	6,31,	
2,13,	59,71,	60,72,	2,25,	
2,26,	2,26,	2,27,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,28,	2,29,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,19,	61,73,	63,74,	
66,76,	2,26,	67,77,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,26,	2,26,	2,26,	
2,26,	2,21,	2,22,	2,23,	
5,30,	68,78,	7,40,	69,79,	
70,80,	71,81,	6,32,	72,82,	
6,33,	5,0,	6,34,	7,0,	
6,35,	6,36,	6,37,	6,38,	
73,83,	74,84,	77,85,	79,86,	
80,87,	6,39,	44,44,	44,44,	
44,44,	44,44,	44,44,	44,44,	
44,44,	44,44,	44,44,	44,44,	
81,88,	5,0,	83,89,	7,40,	
84,90,	85,91,	5,30,	91,92,	
7,0,	92,93,	0,0,	0,0,	
0,0,	0,0,	0,0,	5,30,	
0,0,	7,40,	14,44,	14,44,	
14,44,	14,44,	14,44,	14,44,	
14,44,	14,44,	14,44,	14,44,	
0,0,	0,0,	0,0,	0,0,	
5,30,	0,0,	7,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	10,42,	
0,0,	0,0,	10,43,	10,43,	
10,43,	10,43,	10,43,	10,43,	
10,43,	10,43,	10,43,	10,43,	
0,0,	0,0,	0,0,	0,0,	
5,30,	0,0,	7,40,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	0,0,	0,0,	0,0,	
0,0,	10,44,	14,45,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	10,44,	10,44,	10,44,	
10,44,	16,44,	16,44,	16,44,	
16,44,	16,44,	16,44,	16,44,	
16,44,	16,44,	16,44,	17,44,	
17,44,	17,44,	17,44,	17,44,	
17,44,	17,44,	17,44,	17,44,	
17,44,	18,44,	18,44,	18,44,	
18,44,	18,44,	18,44,	18,44,	
18,44,	18,44,	18,44,	0,0,	
47,44,	47,44,	47,44,	47,44,	
47,44,	47,44,	47,44,	47,44,	
47,44,	47,44,	0,0,	17,47,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	16,46,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	17,48,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	18,49,	24,50,	24,50,	
24,50,	24,50,	24,50,	24,50,	
24,50,	24,50,	24,50,	24,50,	
47,65,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	0,0,	0,0,	0,0,	
0,0,	24,51,	0,0,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	24,51,	24,51,	24,51,	
24,51,	25,42,	0,0,	0,0,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	0,0,	
0,0,	0,0,	0,0,	25,51,	
0,0,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	25,51,	
25,51,	25,51,	25,51,	0,0,	
25,45,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
0,0,	0,0,	0,0,	0,0,	
26,51,	0,0,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
26,51,	26,51,	26,51,	26,51,	
45,64,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	45,64,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	45,64,	0,0,	0,0,	
0,0,	0,0,	45,64,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	45,64,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	50,50,	50,50,	
50,50,	50,50,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
45,64,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	0,0,	
45,0,	0,0,	0,0,	50,51,	
0,0,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	50,51,	
50,51,	50,51,	50,51,	45,0,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	0,0,	
0,0,	0,0,	0,0,	51,51,	
0,0,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	51,51,	
51,51,	51,51,	51,51,	64,64,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
64,64,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
64,64,	0,0,	0,0,	0,0,	
0,0,	64,64,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	64,64,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,64,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,75,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-90,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+-215,	0,		yyvstop+5,
yycrank+114,	0,		yyvstop+7,
yycrank+-217,	0,		yyvstop+9,
yycrank+0,	0,		yyvstop+11,
yycrank+1,	0,		yyvstop+14,
yycrank+246,	0,		yyvstop+16,
yycrank+0,	0,		yyvstop+20,
yycrank+0,	0,		yyvstop+23,
yycrank+0,	0,		yyvstop+26,
yycrank+218,	yysvec+10,	yyvstop+29,
yycrank+2,	yysvec+10,	yyvstop+32,
yycrank+321,	yysvec+10,	yyvstop+35,
yycrank+331,	yysvec+10,	yyvstop+38,
yycrank+341,	yysvec+10,	yyvstop+41,
yycrank+0,	0,		yyvstop+44,
yycrank+0,	0,		yyvstop+47,
yycrank+0,	0,		yyvstop+50,
yycrank+0,	0,		yyvstop+53,
yycrank+0,	0,		yyvstop+56,
yycrank+418,	yysvec+10,	yyvstop+59,
yycrank+496,	0,		yyvstop+64,
yycrank+573,	yysvec+10,	yyvstop+68,
yycrank+4,	yysvec+25,	yyvstop+72,
yycrank+15,	yysvec+25,	yyvstop+76,
yycrank+5,	yysvec+25,	yyvstop+80,
yycrank+-3,	yysvec+5,	0,	
yycrank+0,	0,		yyvstop+84,
yycrank+29,	0,		0,	
yycrank+20,	0,		0,	
yycrank+18,	0,		0,	
yycrank+28,	0,		0,	
yycrank+19,	0,		0,	
yycrank+25,	0,		0,	
yycrank+30,	0,		0,	
yycrank+0,	0,		yyvstop+86,
yycrank+-23,	yysvec+7,	0,	
yycrank+0,	0,		yyvstop+88,
yycrank+33,	0,		0,	
yycrank+0,	yysvec+10,	yyvstop+90,
yycrank+190,	yysvec+10,	yyvstop+93,
yycrank+-695,	0,		0,	
yycrank+0,	0,		yyvstop+95,
yycrank+352,	yysvec+10,	yyvstop+97,
yycrank+0,	0,		yyvstop+99,
yycrank+0,	0,		yyvstop+101,
yycrank+696,	yysvec+10,	yyvstop+103,
yycrank+772,	yysvec+10,	yyvstop+107,
yycrank+18,	yysvec+25,	yyvstop+110,
yycrank+0,	0,		yyvstop+113,
yycrank+41,	0,		0,	
yycrank+34,	0,		0,	
yycrank+44,	0,		0,	
yycrank+44,	0,		0,	
yycrank+51,	0,		0,	
yycrank+46,	0,		0,	
yycrank+42,	0,		0,	
yycrank+77,	0,		0,	
yycrank+0,	0,		yyvstop+115,
yycrank+78,	0,		0,	
yycrank+-894,	0,		yyvstop+117,
yycrank+0,	0,		yyvstop+119,
yycrank+68,	0,		0,	
yycrank+89,	0,		0,	
yycrank+118,	0,		0,	
yycrank+115,	0,		0,	
yycrank+106,	0,		0,	
yycrank+120,	0,		0,	
yycrank+122,	0,		0,	
yycrank+121,	0,		0,	
yycrank+118,	0,		0,	
yycrank+0,	0,		yyvstop+121,
yycrank+0,	0,		yyvstop+123,
yycrank+119,	0,		0,	
yycrank+0,	0,		yyvstop+125,
yycrank+119,	0,		0,	
yycrank+120,	0,		0,	
yycrank+138,	0,		0,	
yycrank+0,	0,		yyvstop+127,
yycrank+140,	0,		0,	
yycrank+136,	0,		0,	
yycrank+138,	0,		0,	
yycrank+0,	0,		yyvstop+129,
yycrank+0,	0,		yyvstop+131,
yycrank+0,	0,		yyvstop+133,
yycrank+0,	0,		yyvstop+135,
yycrank+0,	0,		yyvstop+137,
yycrank+144,	0,		0,	
yycrank+158,	0,		0,	
yycrank+0,	0,		yyvstop+139,
0,	0,	0};
struct yywork *yytop = yycrank+987;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'"' ,01  ,01  ,01  ,01  ,047 ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,']' ,01  ,'A' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,']' ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,1,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
